## org.apache.lucene.facet
Class FacetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.facet.FacetException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FacetParamsMissingPropertyException

    public class FacetException

extends IOException

A parent class for exceptions thrown by the Facets code.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`FacetException()`
`FacetException(String message)`
`FacetException(String message, Throwable cause)`
`FacetException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetException

    public FacetException()

### FacetException

    public FacetException(String message)

### FacetException

    public FacetException(String message,
                          Throwable cause)

### FacetException

    public FacetException(Throwable cause)